package com.akamai.media.demo4;


import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ProgressBar;

public class PlayerSplashScreen  extends Activity 
{
	private ProgressBar mProgress;
	
	public Handler mCommandsHandler = new Handler()
	{ 
		@Override 
		public void handleMessage(Message msg)
		{	
			if(msg.what == 100)
			{
				mProgress.setProgress(100);
				startActivity(new Intent(PlayerSplashScreen.this, PlayerView.class));
				finish();
			}
			else if(msg.what == 20)
			{
				mProgress.setProgress(20);
				mCommandsHandler.sendEmptyMessageDelayed(60, 200);
			}
			else if(msg.what == 60)
			{
				mProgress.setProgress(60);
				mCommandsHandler.sendEmptyMessageDelayed(100, 200);
			}
		}
	};
	
    @Override
    protected void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
  
        
        // Hide the title and notification bars
        requestWindowFeature(Window.FEATURE_NO_TITLE);  
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,   
                                WindowManager.LayoutParams.FLAG_FULLSCREEN);
        
        setContentView(R.layout.playersplash);
        
        mProgress = (ProgressBar)findViewById(R.id.loadingProgress);
        mProgress.setMax(100);
        
        mCommandsHandler.sendEmptyMessageDelayed(20, 200);
    }
}
